from aiogram import types, Dispatcher
from aiogram.filters import CommandStart
from aiogram.types import Message

def register_start_handler(dp: Dispatcher):
    @dp.message(CommandStart())
    async def command_start_handler(message: Message) -> None:
        greeting_text = (
            "Hello! I'm a bot that processes your voice and video messages. \n"
            "Just send me a voice or a video note, and I'll do magic."
        )
        await message.answer(greeting_text)
